Subject: Re: bug#54970: 28.1; Some emoji no longer display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Apr 2022 17:44:32 +0300

> From: Howard Melman <[email-masked]>
> Date: Sun, 17 Apr 2022 10:35:11 -0400
> Cc: Robert Pluim <[email-masked]>,
>  Alan Third <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>,
>  [email-masked]
> 
> > "Blank" meaning what?
> > 
> 
> > Emacs should display the character if there's a font on the system
> > available to Emacs that has a glyph for that codepoint.  It just might
> > not display it as an Emoji, but as a slightly different symbol, and
> > usually with a different font and without the colors inherent in Emoji
> > display.  That's what happens on my system.  If that character doesn't
> > display at all for you, maybe your fonts don't support it?
> 
> Blank as I described in my original report where I included the output
> of C-u C-x = which does say there's no font available.  Following the 
> recipe with point before the added character it looks like this:
> 
> 
> 
> with point after the character it looks like this:
> 
> 
> 
> On the macport I see tofu which I think is better.

Emacs also displays tofu if it finds no suitable font.  What you
describe sounds like Emacs found some font that claimed to have a
glyph for this codepoint, but the glyph displays as blank.  Which is,
of course, in contradiction with the "no font available" part, so I
admit I don't understand what happened on your system.  Was that in
"emacs -Q"?